SDL_android.h File Reference
`#include "../../SDL_internal.h"`
`#include <EGL/eglplatform.h>`
`#include <android/native_window_jni.h>`
`#include "SDL_rect.h"`
`#include "SDL_rwops.h"`
`#include <jni.h>`
`#include "SDL_messagebox.h"`
Include dependency graph for SDL_android.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | Android_JNI_SetActivityTitle (const char *title)
void | Android_JNI_SetWindowStyle (SDL_bool fullscreen)
void | Android_JNI_SetOrientation (int w, int h, int resizable, const char *hint)
SDL_bool | Android_JNI_GetAccelerometerValues (float values[3])
void | Android_JNI_ShowTextInput (SDL_Rect *inputRect)
void | Android_JNI_HideTextInput (void)
SDL_bool | Android_JNI_IsScreenKeyboardShown (void)
ANativeWindow * | Android_JNI_GetNativeWindow (void)
int | Android_JNI_GetDisplayDPI (float *ddpi, float *xdpi, float *ydpi)
int | Android_JNI_OpenAudioDevice (int iscapture, int sampleRate, int is16Bit, int channelCount, int desiredBufferFrames)
void * | Android_JNI_GetAudioBuffer (void)
void | Android_JNI_WriteAudioBuffer (void)
int | Android_JNI_CaptureAudioBuffer (void *buffer, int buflen)
void | Android_JNI_FlushCapturedAudio (void)
void | Android_JNI_CloseAudioDevice (const int iscapture)
int | Android_JNI_FileOpen (SDL_RWops *ctx, const char *fileName, const char *mode)
Sint64 | Android_JNI_FileSize (SDL_RWops *ctx)
Sint64 | Android_JNI_FileSeek (SDL_RWops *ctx, Sint64 offset, int whence)
size_t | Android_JNI_FileRead (SDL_RWops *ctx, void *buffer, size_t size, size_t maxnum)
size_t | Android_JNI_FileWrite (SDL_RWops *ctx, const void *buffer, size_t size, size_t num)
int | Android_JNI_FileClose (SDL_RWops *ctx)
void | Android_JNI_GetManifestEnvironmentVariables (void)
int | Android_JNI_SetClipboardText (const char *text)
char * | Android_JNI_GetClipboardText (void)
SDL_bool | Android_JNI_HasClipboardText (void)
int | Android_JNI_GetPowerInfo (int *plugged, int *charged, int *battery, int *seconds, int *percent)
void | Android_JNI_PollInputDevices (void)
void | Android_JNI_PollHapticDevices (void)
void | Android_JNI_HapticRun (int device_id, int length)
void | Android_JNI_SuspendScreenSaver (SDL_bool suspend)
int | Android_JNI_GetTouchDeviceIds (int **ids)
void | Android_JNI_SetSeparateMouseAndTouch (SDL_bool new_value)
JNIEnv * | Android_JNI_GetEnv (void)
int | Android_JNI_SetupThread (void)
int | Android_JNI_SendMessage (int command, int param)
JNIEXPORT void JNICALL | SDL_Android_Init (JNIEnv *mEnv, jclass cls)
int | Android_JNI_ShowMessageBox (const SDL_MessageBoxData *messageboxdata, int *buttonid)

## Function Documentation

## Android_JNI_CaptureAudioBuffer()

int Android_JNI_CaptureAudioBuffer | ( | void * | buffer,
|  | int | buflen
| ) |  |

## Android_JNI_CloseAudioDevice()

void Android_JNI_CloseAudioDevice | ( | const int | iscapture | ) |

## Android_JNI_FileClose()

int Android_JNI_FileClose | ( | SDL_RWops * | ctx | ) |

Referenced by SDL_RWFromFile().

## Android_JNI_FileOpen()

int Android_JNI_FileOpen | ( | SDL_RWops * | ctx,
|  | const char * | fileName,
|  | const char * | mode
| ) |  |

Referenced by SDL_RWFromFile().

## Android_JNI_FileRead()

size_t Android_JNI_FileRead | ( | SDL_RWops * | ctx,
|  | void * | buffer,
|  | size_t | size,
|  | size_t | maxnum
| ) |  |

Referenced by SDL_RWFromFile().

## Android_JNI_FileSeek()

Sint64 Android_JNI_FileSeek | ( | SDL_RWops * | ctx,
|  | Sint64 | offset,
|  | int | whence
| ) |  |

Referenced by SDL_RWFromFile().

## Android_JNI_FileSize()

Sint64 Android_JNI_FileSize | ( | SDL_RWops * | ctx | ) |

Referenced by SDL_RWFromFile().

## Android_JNI_FileWrite()

size_t Android_JNI_FileWrite | ( | SDL_RWops * | ctx,
|  | const void * | buffer,
|  | size_t | size,
|  | size_t | num
| ) |  |

Referenced by SDL_RWFromFile().

## Android_JNI_FlushCapturedAudio()

void Android_JNI_FlushCapturedAudio | ( | void |  | ) |

## Android_JNI_GetAccelerometerValues()

SDL_bool Android_JNI_GetAccelerometerValues | ( | float | values[3] | ) |

## Android_JNI_GetAudioBuffer()

void* Android_JNI_GetAudioBuffer | ( | void |  | ) |

## Android_JNI_GetClipboardText()

char* Android_JNI_GetClipboardText | ( | void |  | ) |

## Android_JNI_GetDisplayDPI()

int Android_JNI_GetDisplayDPI | ( | float * | ddpi,
|  | float * | xdpi,
|  | float * | ydpi
| ) |  |

## Android_JNI_GetEnv()

JNIEnv* Android_JNI_GetEnv | ( | void |  | ) |

## Android_JNI_GetManifestEnvironmentVariables()

void Android_JNI_GetManifestEnvironmentVariables | ( | void |  | ) |

Referenced by SDL_setenv().

## Android_JNI_GetNativeWindow()

ANativeWindow* Android_JNI_GetNativeWindow | ( | void |  | ) |

## Android_JNI_GetPowerInfo()

int Android_JNI_GetPowerInfo | ( | int * | plugged,
|  | int * | charged,
|  | int * | battery,
|  | int * | seconds,
|  | int * | percent
| ) |  |

## Android_JNI_GetTouchDeviceIds()

int Android_JNI_GetTouchDeviceIds | ( | int ** | ids | ) |

## Android_JNI_HapticRun()

void Android_JNI_HapticRun | ( | int | device_id,
|  | int | length
| ) |  |

## Android_JNI_HasClipboardText()

SDL_bool Android_JNI_HasClipboardText | ( | void |  | ) |

## Android_JNI_HideTextInput()

void Android_JNI_HideTextInput | ( | void |  | ) |

## Android_JNI_IsScreenKeyboardShown()

SDL_bool Android_JNI_IsScreenKeyboardShown | ( | void |  | ) |

## Android_JNI_OpenAudioDevice()

int Android_JNI_OpenAudioDevice | ( | int | iscapture,
|  | int | sampleRate,
|  | int | is16Bit,
|  | int | channelCount,
|  | int | desiredBufferFrames
| ) |  |

## Android_JNI_PollHapticDevices()

void Android_JNI_PollHapticDevices | ( | void |  | ) |

## Android_JNI_PollInputDevices()

void Android_JNI_PollInputDevices | ( | void |  | ) |

## Android_JNI_SendMessage()

int Android_JNI_SendMessage | ( | int | command,
|  | int | param
| ) |  |

## Android_JNI_SetActivityTitle()

void Android_JNI_SetActivityTitle | ( | const char * | title | ) |

## Android_JNI_SetClipboardText()

int Android_JNI_SetClipboardText | ( | const char * | text | ) |

## Android_JNI_SetOrientation()

void Android_JNI_SetOrientation | ( | int | w,
|  | int | h,
|  | int | resizable,
|  | const char * | hint
| ) |  |

## Android_JNI_SetSeparateMouseAndTouch()

void Android_JNI_SetSeparateMouseAndTouch | ( | SDL_bool | new_value | ) |

## Android_JNI_SetupThread()

int Android_JNI_SetupThread | ( | void |  | ) |

Referenced by RunThread().

## Android_JNI_SetWindowStyle()

void Android_JNI_SetWindowStyle | ( | SDL_bool | fullscreen | ) |

## Android_JNI_ShowMessageBox()

int Android_JNI_ShowMessageBox | ( | const SDL_MessageBoxData * | messageboxdata,
|  | int * | buttonid
| ) |  |

## Android_JNI_ShowTextInput()

void Android_JNI_ShowTextInput | ( | SDL_Rect * | inputRect | ) |

## Android_JNI_SuspendScreenSaver()

void Android_JNI_SuspendScreenSaver | ( | SDL_bool | suspend | ) |

## Android_JNI_WriteAudioBuffer()

void Android_JNI_WriteAudioBuffer | ( | void |  | ) |

## SDL_Android_Init()

JNIEXPORT void JNICALL SDL_Android_Init | ( | JNIEnv * | mEnv,
|  | jclass | cls
| ) |  |